import Reference from './coordinate/Reference';
import Sheet from './coordinate/axis/Sheet';
export declare class Formula {
    formula: string;
    sheet: Sheet;
    constructor(formula: string, sheet: Sheet);
    getMembers(lookUp: (cell: Reference, done: (err: Error | null, result: any) => void) => void): Reference[];
    valueOf(): string;
    toString(): string;
    static from(formula: string, sheet: string | Sheet): Formula;
    static isFormula(literal: string): boolean;
}
