import { Workbook as WorkbookBase } from 'exceljs';
interface CompileOptions {
    exposeCells?: boolean;
}
declare type CellType = FunctionConstructor | NumberConstructor | StringConstructor | BooleanConstructor;
interface CellSpec {
    cell: string;
    type: CellType;
    args?: string[];
}
export default class Workbook extends WorkbookBase {
    private normalizeCoords;
    compile<T extends Record<string, CellSpec>>(spec: T, options?: CompileOptions): Promise<() => {
        [K in keyof T]: ReturnType<T[K]['type']>;
    }>;
}
export {};
