import Index from './Index';
import Labelable from '../Labelable';
export default abstract class Axis implements Labelable {
    abstract readonly index: Index;
    abstract readonly label: string;
    valueOf(): number;
    toString(): string;
    toJSON(): {
        index: number;
        label: string;
    };
    equals(another: Axis): boolean;
}
